Package org.jboss.resteasy.plugins.providers

## Class IIOImageProviderHelper

- java.lang.Object
- - org.jboss.resteasy.plugins.providers.IIOImageProviderHelper

-     public final class IIOImageProviderHelper
      extends Object

  A IIOImageProviderHelper.
  Version:
    $Revision:$
  Author:
    Ryan J. McDonough

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ImageReader` | `getImageReaderByMediaType​(javax.ws.rs.core.MediaType mediaType)` | FIXME Comment this
    `static ImageWriter` | `getImageWriterByMediaType​(javax.ws.rs.core.MediaType mediaType)` | FIXME Comment this
    `static IIOImage` | `readImage​(InputStream in, ImageReader reader, int imageIndex)` | FIXME Comment this
    `static void` | `writeImage​(Annotation[] annotations, javax.ws.rs.core.MediaType mediaType, ImageWriter writer, OutputStream out, IIOImage image)` | FIXME Comment this

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getImageWriterByMediaType

          public static ImageWriter getImageWriterByMediaType​(javax.ws.rs.core.MediaType mediaType)

      FIXME Comment this
      Parameters:
        `mediaType` - media type
      Returns:
        image writer

    - #### readImage

          public static IIOImage readImage​(InputStream in,
                                           ImageReader reader,
                                           int imageIndex)
                                    throws IOException

      FIXME Comment this
      Parameters:
        `in` - input stream
        `reader` - image reader
        `imageIndex` - index
      Returns:
        `IIOImage`
      Throws:
        `IOException` - if I/O error occurred

    - #### getImageReaderByMediaType

          public static ImageReader getImageReaderByMediaType​(javax.ws.rs.core.MediaType mediaType)

      FIXME Comment this
      Parameters:
        `mediaType` - media type
      Returns:
        image reader

    - #### writeImage

          public static void writeImage​(Annotation[] annotations,
                                        javax.ws.rs.core.MediaType mediaType,
                                        ImageWriter writer,
                                        OutputStream out,
                                        IIOImage image)
                                 throws IOException

      FIXME Comment this
      Parameters:
        `annotations` - array of annotations
        `mediaType` - media type
        `writer` - image writer
        `out` - output stream
        `image` - `IIOImage`
      Throws:
        `IOException` - if I/O error occurred